header {
    width: 700px;
    margin: auto;
    text-align: center;
}


#initial-message {
    text-align: left;
    background: linear-gradient(90deg,rgb(239,242,247) 0%,7.60286%,rgb(237,240,249) 15.2057%,20.7513%,rgb(235,239,248) 26.297%,27.6386%,rgb(235,239,248) 28.9803%,38.2826%,rgb(231,237,249) 47.585%,48.1216%,rgb(230,236,250) 48.6583%,53.1306%,rgb(228,236,249) 57.6029%,61.5385%,rgb(227,234,250) 65.4741%,68.7835%,rgb(222,234,250) 72.093%,75.7603%,rgb(219,230,248) 79.4275%,82.8265%,rgb(216,229,248) 86.2254%,87.8354%,rgb(213,228,249) 89.4454%,91.8605%,rgb(210,226,249) 94.2755%,95.4383%,rgb(209,225,248) 96.6011%,98.3005%,rgb(208,224,247) 100%);
    padding: 0.5em 1em;
}

main {
    text-align: center;
    margin-top: 2em;
    visibility: hidden;
}

#loader {
    border: 16px solid #f3f3f3;
    border-top: 16px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite;
    display: block;
    text-align: center !important;
    padding: 20px;
    margin: 3em auto;
    display:none;
}

#wait-message {
    margin-top: 3em;
    visibility: hidden;
    font-style: italic;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

footer {
	width: 60%;
	max-width: 600px;
	margin: auto;
	font-size: 0.9em;
	text-align: center;
	margin-top: 3em;
	border-top: 1px solid #bbb;
	padding-top: 1em;
    visibility: hidden;
}

footer a {
	text-decoration: none;
}
footer a:hover {
	text-decoration: underline;
}

@media screen and (max-width: 500px) {
	header {
		width: initial !important;
		max-width: initial !important;
	}
    main {
        font-size:1.2em;
        margin-top:1.5em;
    }
    button {
        display:block;
        margin: 1em auto;
    }
    label {
        display:block;
        margin-bottom:0.5em;
    }
    #wait-message {
        margin-top:0em;
    }
    footer a {
        display:inline-block;
    }
}

#logo {    
    width: 50%;
    
}